<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.hoenergy</groupId>
    <artifactId>ho-cloud</artifactId>
    <version>1.0</version>
    <modules>
        <module>api-gateway</module>
        <module>common-tools</module>
        <module>user-service-api</module>
        <module>user-service</module>
        <module>data-collect-service</module>
        <module>data-collect-service-api</module>
        <module>business-service</module>
        <module>business-service-api</module>
        <module>business-service-dao</module>
        <module>td-service</module>
        <module>td-service-api</module>
        <module>xxl-job-admin</module>
        <module>xxl-job</module>
        <module>file-center</module>
        <module>flowable-center</module>
        <module>flowable-center-api</module>
        <module>flowable-center-dao</module>
    </modules>
    <packaging>pom</packaging>

    <!--顶层依赖-->
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.2.12.RELEASE</version>
    </parent>

    <!--统一版本管理-->
    <properties>
        <spring-boot.version>2.2.12.RELEASE</spring-boot.version>
        <spring-cloud.version>Hoxton.SR8</spring-cloud.version>
        <spring-cloud-alibaba.version>2.2.1.RELEASE</spring-cloud-alibaba.version>

        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <junit.version>4.12</junit.version>
        <spring-test.version>4.3.2.RELEASE</spring-test.version>
        <log4j.version>1.2.17</log4j.version>
        <slf4j.version>1.7.30</slf4j.version>
        <jackson.version>2.10.5</jackson.version>
        <lombok.version>1.18.2</lombok.version>
        <mysql.version>8.0.22</mysql.version>
        <druid.version>1.2.4</druid.version>
        <mybatis.spring.boot.version>2.1.4</mybatis.spring.boot.version>
<!--        <taos.version>3.0.3</taos.version>-->
        <taos.version>3.1.0</taos.version>
        <maven.plugin.version>2.1.6</maven.plugin.version>
        <swagger2.version>2.9.2</swagger2.version>
        <swagger2-other.version>1.5.21</swagger2-other.version>
        <swagger2markup.version>1.3.3</swagger2markup.version>
        <swagger-bootstrap-ui.version>1.9.6</swagger-bootstrap-ui.version>
        <pagehelper.version>1.3.0</pagehelper.version>
        <spring-security-oauth2.version>2.3.4.RELEASE</spring-security-oauth2.version>
        <hutools.version>5.7.18</hutools.version>
        <poi-ooxml.version>4.1.2</poi-ooxml.version>
        <poi-ooxml-schemas.version>4.1.2</poi-ooxml-schemas.version>
        <mysql.json.col.version>0.0.2-RELEASE</mysql.json.col.version>
        <hibernate.validator.version>7.0.0.CR1</hibernate.validator.version>
        <shiro-spring.version>1.4.0</shiro-spring.version>
        <jjwt.version>0.9.1</jjwt.version>
        <auth0.version>3.7.0</auth0.version>
        <pagehelper.version>1.3.0</pagehelper.version>
        <sharding-jdbc.version>4.1.0</sharding-jdbc.version>

        <ip2region.version>1.7.2</ip2region.version>
        <aliyun.oss.version>2.8.3</aliyun.oss.version>
        <io-common.version>2.4</io-common.version>
        <commons-lang.version>2.6</commons-lang.version>
        <encrypt.bcpkix.version>1.69</encrypt.bcpkix.version>
        <bcprov-jdk15on.version>1.69</bcprov-jdk15on.version>
        <commons-codec.version>1.15</commons-codec.version>
        <apache-httpcore.version>4.4.13</apache-httpcore.version>
        <apache-httpclient.version>4.5.12</apache-httpclient.version>
        <json-path.version>2.4.0</json-path.version>
        <com.alibaba.fastjson.version>1.2.70</com.alibaba.fastjson.version>
        <net.sf.json.version>2.4</net.sf.json.version>
        <apm-toolkit.version>8.13.0</apm-toolkit.version>
        <spring-session-data-redis.version>2.1.6.RELEASE</spring-session-data-redis.version>
        <redisson-spring-boot-starter.version>3.15.2</redisson-spring-boot-starter.version>
        <caffeine.version>2.9.2</caffeine.version>
        <rsa-encrypt.version>1.0.0.RELEASE</rsa-encrypt.version>
        <xxl-job-core.version>2.2.0</xxl-job-core.version>
        <servlet-api.version>4.0.1</servlet-api.version>
        <jasypt-spring-boot-starter.version>3.0.0</jasypt-spring-boot-starter.version>
        <!--xxl-job-->
        <xxl-job-core.version>2.2.0</xxl-job-core.version>
        <!--springboot EMQX-->
        <spring-integration-mqtt.version>5.5.13</spring-integration-mqtt.version>
        <spring-integration-stream.version>5.5.13</spring-integration-stream.version>
        <!--springboot admin-->
        <spring-boot-admin.version>2.2.4</spring-boot-admin.version>
        <!--activiti 7 7.1.0.M4-->
        <activiti-dependencies.version>7.1.0.M4</activiti-dependencies.version>
    </properties>
    <dependencyManagement>
        <dependencies>
            <!--spring boot-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!--spring cloud -->
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!--spring cloud alibaba-->
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>${spring-cloud-alibaba.version}</version>
                <type>pom</type>
                <scope>import</scope>
                <exclusions>
                    <!--排除alibaba.cloud fastjson-->
                    <exclusion>
                        <groupId>com.alibaba</groupId>
                        <artifactId>fastjson</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <!--spring-boot-admin-->
            <dependency>
                <groupId>de.codecentric</groupId>
                <artifactId>spring-boot-admin-starter-server</artifactId>
                <version>${spring-boot-admin.version}</version>
            </dependency>
            <dependency>
                <groupId>de.codecentric</groupId>
                <artifactId>spring-boot-admin-starter-client</artifactId>
                <version>${spring-boot-admin.version}</version>
            </dependency>
            <dependency>
                <groupId>com.squareup.okhttp3</groupId>
                <artifactId>okhttp</artifactId>
                <version>4.10.0</version>
            </dependency>
            <!--shiro 依赖-->
            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-spring</artifactId>
                <version>${shiro-spring.version}</version>
            </dependency>
            <!--加入servlet依赖（servlet的jar）-->
            <dependency>
                <groupId>javax.servlet</groupId>
                <artifactId>javax.servlet-api</artifactId>
                <version>${servlet-api.version}</version>
                <scope>provided</scope>
            </dependency>
            <!--JWT-->
<!--            <dependency>-->
<!--                <groupId>io.jsonwebtoken</groupId>-->
<!--                <artifactId>jjwt</artifactId>-->
<!--                <version>${jjwt.version}</version>-->
<!--            </dependency>-->
            <!--Lombok-->
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>${lombok.version}</version>
            </dependency>
            <!--junit-->
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${junit.version}</version>
            </dependency>
            <!--spring-test-->
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-test</artifactId>
                <version>${spring-test.version}</version>
            </dependency>
            <!--添加fastjson-->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${com.alibaba.fastjson.version}</version>
            </dependency>
            <!--jackson-->
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-core</artifactId>
                <version>${jackson.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-databind</artifactId>
                <version>${jackson.version}</version>
            </dependency>
            <!--Hutools工具类-->
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutools.version}</version>
            </dependency>
            <!--POI组件-->
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi-ooxml.version}</version>
            </dependency>
            <!-- aes加密工具 -->
            <dependency>
                <groupId>commons-codec</groupId>
                <artifactId>commons-codec</artifactId>
                <version>${commons-codec.version}</version>
            </dependency>
            <!--数据库相关-->
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid</artifactId>
                <version>${druid.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid-spring-boot-starter</artifactId>
                <version>${druid.version}</version>
            </dependency>
            <!--Mybatis-->
            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>${mybatis.spring.boot.version}</version>
            </dependency>
            <!-- 分页插件 -->
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper.version}</version>
            </dependency>
            <!--taos-->
            <dependency>
                <groupId>com.taosdata.jdbc</groupId>
                <artifactId>taos-jdbcdriver</artifactId>
                <version>${taos.version}</version>
            </dependency>
            <!--Redis-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-data-redis</artifactId>
                <version>${spring-boot.version}</version>
            </dependency>
            <!--Spring Session-->
            <dependency>
                <groupId>org.springframework.session</groupId>
                <artifactId>spring-session-data-redis</artifactId>
                <version>${spring-session-data-redis.version}</version>
            </dependency>

            <!--redisson-->
            <dependency>
                <groupId>org.redisson</groupId>
                <artifactId>redisson-spring-boot-starter</artifactId>
                <version>${redisson-spring-boot-starter.version}</version>
            </dependency>
            <!--commons-io-->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${io-common.version}</version>
            </dependency>
            <!--commons-pool2 Lettuce连接池会用到-->
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-pool2</artifactId>
                <version>${commons-pool2.version}</version>
            </dependency>
            <!--整合redission框架enc-->
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
            </dependency>
            <!--caffeine-->
            <dependency>
                <groupId>com.github.ben-manes.caffeine</groupId>
                <artifactId>caffeine</artifactId>
                <version>${caffeine.version}</version>
            </dependency>
            <!--swagger-->
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger2</artifactId>
                <version>${swagger2.version}</version>
            </dependency>
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger-ui</artifactId>
                <version>${swagger2.version}</version>
            </dependency>
            <!-- xxl-job-core -->
            <dependency>
                <groupId>com.xuxueli</groupId>
                <artifactId>xxl-job-core</artifactId>
                <version>${xxl-job-core.version}</version>
            </dependency>
            <!--mqtt-->
            <dependency>
                <groupId>org.springframework.integration</groupId>
                <artifactId>spring-integration-mqtt</artifactId>
                <version>${spring-integration-mqtt.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.integration</groupId>
                <artifactId>spring-integration-stream</artifactId>
                <version>${spring-integration-stream.version}</version>
            </dependency>
            <!--根据ip获取城市名时使用-->
            <dependency>
                <groupId>org.lionsoul</groupId>
                <artifactId>ip2region</artifactId>
                <version>${ip2region.version}</version>
            </dependency>
            <!-- skywalking 整合 logback -->
<!--            <dependency>-->
<!--                <groupId>org.apache.skywalking</groupId>-->
<!--                <artifactId>apm-toolkit-logback-1.x</artifactId>-->
<!--                <version>${apm-toolkit.version}</version>-->
<!--            </dependency>-->
<!--            <dependency>-->
<!--                <groupId>org.apache.skywalking</groupId>-->
<!--                <artifactId>apm-toolkit-trace</artifactId>-->
<!--                <version>${apm-toolkit.version}</version>-->
<!--            </dependency>-->
        </dependencies>
    </dependencyManagement>
    <!--<build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                &lt;!&ndash;<configuration>
                    &lt;!&ndash; 生成可执行的jar的名字：xxx-exec.jar &ndash;&gt;
                    &lt;!&ndash; 不固定，写成abcd都可以 &ndash;&gt;
                    <classifier>exec</classifier>
                </configuration>&ndash;&gt;
            </plugin>
        </plugins>
    </build>-->

</project>